
*--------------Concatenate the 96, 01, 04 "state_moves_prior_month" Data Files Into One Large (96, 01, 04) Data File---------------------------*
clear
cd "$dire\Assembled Data"
set more off
set memory 1100M

dsconcat 96_state_moves_prior_month 01_state_moves_prior_month 04_state_moves_prior_month

replace  _6mo_chg_married=0 if  _6mo_chg_married==.
replace  _3mo_chg_married=0 if  _3mo_chg_married==.
replace  chg_married_state_move_6mo=0 if chg_married_state_move_6mo==.
replace  chg_married_state_move_3mo=0 if chg_married_state_move_3mo==.
replace  chg_single=0 if chg_single==.
replace  _6mo_chg_single=0 if _6mo_chg_single==.
replace  _3mo_chg_single=0 if _3mo_chg_single==.
replace  chg_single_state_move_6mo=0 if chg_single_state_move_6mo==.
replace  chg_single_state_move_3mo=0 if chg_single_state_move_3mo==.
replace  _6mo_chg_nochild=0 if _6mo_chg_nochild==.
replace  _3mo_chg_nochild=0 if _3mo_chg_nochild==.
replace  chg_nochild_state_move_6mo=0 if chg_nochild_state_move_6mo==.
replace  chg_nochild_state_move_3mo=0 if chg_nochild_state_move_3mo==.
replace  _6mo_chg_firstchild=0 if _6mo_chg_firstchild==.
replace  _3mo_chg_firstchild=0 if _3mo_chg_firstchild==.
replace  chg_firstchild_state_move_6mo=0 if chg_firstchild_state_move_6mo==.
replace  chg_firstchild_state_move_3mo=0 if chg_firstchild_state_move_3mo==.
replace  _6mo_chg_child4yo=0 if _6mo_chg_child4yo==.
replace  _3mo_chg_child4yo=0 if _3mo_chg_child4yo==.
replace  chg_child4yo_state_move_6mo=0 if chg_child4yo_state_move_6mo==.
replace  chg_child4yo_state_move_3mo=0 if chg_child4yo_state_move_3mo==.
replace  _6mo_chg_nondisabled=0 if _6mo_chg_nondisabled==.
replace  _3mo_chg_nondisabled=0 if _3mo_chg_nondisabled==.
replace  chg_nondisabled_state_move_6mo=0 if chg_nondisabled_state_move_6mo==.
replace  chg_nondisabled_state_move_3mo=0 if chg_nondisabled_state_move_3mo==.
replace  _6mo_chg_employed=0 if _6mo_chg_employed==.
replace  _3mo_chg_employed=0 if _3mo_chg_employed==.
replace  chg_employed_state_move_6mo=0 if chg_employed_state_move_6mo==.
replace  chg_employed_state_move_3mo=0 if chg_employed_state_move_3mo==.
replace  _6mo_chg_employer=0 if _6mo_chg_employer==.
replace  _3mo_chg_employer=0 if _3mo_chg_employer==.
replace  chg_employer_state_move_6mo=0 if chg_employer_state_move_6mo==.
replace  chg_employer_state_move_3mo=0 if chg_employer_state_move_3mo==.
replace  _6mo_chg_unemployed=0 if _6mo_chg_unemployed==.
replace  _3mo_chg_unemployed=0 if _3mo_chg_unemployed==.
replace  chg_unemployed_state_move_6mo=0 if chg_unemployed_state_move_6mo==.
replace  chg_unemployed_state_move_3mo=0 if chg_unemployed_state_move_3mo==.
replace  _3mo_statemove=0 if _3mo_statemove==.
replace  move_state_chg_married_6mo=0 if move_state_chg_married_6mo==.
replace  move_state_chg_married_3mo=0 if move_state_chg_married_3mo==.
replace  move_state_chg_single_6mo=0 if  move_state_chg_single_6mo==.
replace  move_state_chg_single_3mo=0 if  move_state_chg_single_3mo==.
replace  move_state_chg_nochild_6mo=0 if move_state_chg_nochild_6mo==.
replace  move_state_chg_nochild_3mo=0 if move_state_chg_nochild_3mo==.
replace  move_state_chg_firstchild_6mo=0 if move_state_chg_firstchild_6mo==.
replace  move_state_chg_firstchild_3mo=0 if move_state_chg_firstchild_3mo==.
replace  move_state_chg_child4yo_6mo=0 if move_state_chg_child4yo_6mo==.
replace  move_state_chg_child4yo_3mo=0 if move_state_chg_child4yo_3mo==.
replace  move_state_chg_nondisabled_6mo=0 if move_state_chg_nondisabled_6mo==.
replace  move_state_chg_nondisabled_3mo=0 if move_state_chg_nondisabled_3mo==.
replace  move_state_chg_employed_6mo=0 if move_state_chg_employed_6mo==.
replace  move_state_chg_employed_3mo=0 if move_state_chg_employed_3mo==.
replace  move_state_chg_employer_6mo=0 if move_state_chg_employer_6mo==.
replace  move_state_chg_employer_3mo=0 if move_state_chg_employer_3mo==.
replace  move_state_chg_unemployed_6mo=0 if move_state_chg_unemployed_6mo==.
replace  move_state_chg_unemployed_3mo=0 if move_state_chg_unemployed_3mo==.

save 96_01_04_state_moves_prior_month, replace

clear

*--------------Concatenate the 96, 01, 04 "state_moves_current_month" Data Files Into One Large (96, 01, 04) Data File---------------------------*

dsconcat 96_state_moves_current_month 01_state_moves_current_month 04_state_moves_current_month

replace  _6mo_chg_married=0 if  _6mo_chg_married==.
replace  _3mo_chg_married=0 if  _3mo_chg_married==.
replace  chg_married_state_move_6mo=0 if chg_married_state_move_6mo==.
replace  chg_married_state_move_3mo=0 if chg_married_state_move_3mo==.
replace  chg_single=0 if chg_single==.
replace  _6mo_chg_single=0 if _6mo_chg_single==.
replace  _3mo_chg_single=0 if _3mo_chg_single==.
replace  chg_single_state_move_6mo=0 if chg_single_state_move_6mo==.
replace  chg_single_state_move_3mo=0 if chg_single_state_move_3mo==.
replace  _6mo_chg_nochild=0 if _6mo_chg_nochild==.
replace  _3mo_chg_nochild=0 if _3mo_chg_nochild==.
replace  chg_nochild_state_move_6mo=0 if chg_nochild_state_move_6mo==.
replace  chg_nochild_state_move_3mo=0 if chg_nochild_state_move_3mo==.
replace  _6mo_chg_firstchild=0 if _6mo_chg_firstchild==.
replace  _3mo_chg_firstchild=0 if _3mo_chg_firstchild==.
replace  chg_firstchild_state_move_6mo=0 if chg_firstchild_state_move_6mo==.
replace  chg_firstchild_state_move_3mo=0 if chg_firstchild_state_move_3mo==.
replace  _6mo_chg_child4yo=0 if _6mo_chg_child4yo==.
replace  _3mo_chg_child4yo=0 if _3mo_chg_child4yo==.
replace  chg_child4yo_state_move_6mo=0 if chg_child4yo_state_move_6mo==.
replace  chg_child4yo_state_move_3mo=0 if chg_child4yo_state_move_3mo==.
replace  _6mo_chg_nondisabled=0 if _6mo_chg_nondisabled==.
replace  _3mo_chg_nondisabled=0 if _3mo_chg_nondisabled==.
replace  chg_nondisabled_state_move_6mo=0 if chg_nondisabled_state_move_6mo==.
replace  chg_nondisabled_state_move_3mo=0 if chg_nondisabled_state_move_3mo==.
replace  _6mo_chg_employed=0 if _6mo_chg_employed==.
replace  _3mo_chg_employed=0 if _3mo_chg_employed==.
replace  chg_employed_state_move_6mo=0 if chg_employed_state_move_6mo==.
replace  chg_employed_state_move_3mo=0 if chg_employed_state_move_3mo==.
replace  _6mo_chg_employer=0 if _6mo_chg_employer==.
replace  _3mo_chg_employer=0 if _3mo_chg_employer==.
replace  chg_employer_state_move_6mo=0 if chg_employer_state_move_6mo==.
replace  chg_employer_state_move_3mo=0 if chg_employer_state_move_3mo==.
replace  _6mo_chg_unemployed=0 if _6mo_chg_unemployed==.
replace  _3mo_chg_unemployed=0 if _3mo_chg_unemployed==.
replace  chg_unemployed_state_move_6mo=0 if chg_unemployed_state_move_6mo==.
replace  chg_unemployed_state_move_3mo=0 if chg_unemployed_state_move_3mo==.
replace  _3mo_statemove=0 if _3mo_statemove==.
replace  move_state_chg_married_6mo=0 if move_state_chg_married_6mo==.
replace  move_state_chg_married_3mo=0 if move_state_chg_married_3mo==.
replace  move_state_chg_single_6mo=0 if  move_state_chg_single_6mo==.
replace  move_state_chg_single_3mo=0 if  move_state_chg_single_3mo==.
replace  move_state_chg_nochild_6mo=0 if move_state_chg_nochild_6mo==.
replace  move_state_chg_nochild_3mo=0 if move_state_chg_nochild_3mo==.
replace  move_state_chg_firstchild_6mo=0 if move_state_chg_firstchild_6mo==.
replace  move_state_chg_firstchild_3mo=0 if move_state_chg_firstchild_3mo==.
replace  move_state_chg_child4yo_6mo=0 if move_state_chg_child4yo_6mo==.
replace  move_state_chg_child4yo_3mo=0 if move_state_chg_child4yo_3mo==.
replace  move_state_chg_nondisabled_6mo=0 if move_state_chg_nondisabled_6mo==.
replace  move_state_chg_nondisabled_3mo=0 if move_state_chg_nondisabled_3mo==.
replace  move_state_chg_employed_6mo=0 if move_state_chg_employed_6mo==.
replace  move_state_chg_employed_3mo=0 if move_state_chg_employed_3mo==.
replace  move_state_chg_employer_6mo=0 if move_state_chg_employer_6mo==.
replace  move_state_chg_employer_3mo=0 if move_state_chg_employer_3mo==.
replace  move_state_chg_unemployed_6mo=0 if move_state_chg_unemployed_6mo==.
replace  move_state_chg_unemployed_3mo=0 if move_state_chg_unemployed_3mo==.

save 96_01_04_state_moves_current_month, replace

clear

*--------------Concatenate the 96, 01, 04 "state_moves_prior_and_current_month" Data Files Into One Large (96, 01, 04) Data File---------------------------*

dsconcat 96_state_moves_prior_and_current_month 01_state_moves_prior_and_current_month 04_state_moves_prior_and_current_month

replace  _6mo_chg_married=0 if  _6mo_chg_married==.
replace  _3mo_chg_married=0 if  _3mo_chg_married==.
replace  chg_married_state_move_6mo=0 if chg_married_state_move_6mo==.
replace  chg_married_state_move_3mo=0 if chg_married_state_move_3mo==.
replace  chg_single=0 if chg_single==.
replace  _6mo_chg_single=0 if _6mo_chg_single==.
replace  _3mo_chg_single=0 if _3mo_chg_single==.
replace  chg_single_state_move_6mo=0 if chg_single_state_move_6mo==.
replace  chg_single_state_move_3mo=0 if chg_single_state_move_3mo==.
replace  _6mo_chg_nochild=0 if _6mo_chg_nochild==.
replace  _3mo_chg_nochild=0 if _3mo_chg_nochild==.
replace  chg_nochild_state_move_6mo=0 if chg_nochild_state_move_6mo==.
replace  chg_nochild_state_move_3mo=0 if chg_nochild_state_move_3mo==.
replace  _6mo_chg_firstchild=0 if _6mo_chg_firstchild==.
replace  _3mo_chg_firstchild=0 if _3mo_chg_firstchild==.
replace  chg_firstchild_state_move_6mo=0 if chg_firstchild_state_move_6mo==.
replace  chg_firstchild_state_move_3mo=0 if chg_firstchild_state_move_3mo==.
replace  _6mo_chg_child4yo=0 if _6mo_chg_child4yo==.
replace  _3mo_chg_child4yo=0 if _3mo_chg_child4yo==.
replace  chg_child4yo_state_move_6mo=0 if chg_child4yo_state_move_6mo==.
replace  chg_child4yo_state_move_3mo=0 if chg_child4yo_state_move_3mo==.
replace  _6mo_chg_nondisabled=0 if _6mo_chg_nondisabled==.
replace  _3mo_chg_nondisabled=0 if _3mo_chg_nondisabled==.
replace  chg_nondisabled_state_move_6mo=0 if chg_nondisabled_state_move_6mo==.
replace  chg_nondisabled_state_move_3mo=0 if chg_nondisabled_state_move_3mo==.
replace  _6mo_chg_employed=0 if _6mo_chg_employed==.
replace  _3mo_chg_employed=0 if _3mo_chg_employed==.
replace  chg_employed_state_move_6mo=0 if chg_employed_state_move_6mo==.
replace  chg_employed_state_move_3mo=0 if chg_employed_state_move_3mo==.
replace  _6mo_chg_employer=0 if _6mo_chg_employer==.
replace  _3mo_chg_employer=0 if _3mo_chg_employer==.
replace  chg_employer_state_move_6mo=0 if chg_employer_state_move_6mo==.
replace  chg_employer_state_move_3mo=0 if chg_employer_state_move_3mo==.
replace  _6mo_chg_unemployed=0 if _6mo_chg_unemployed==.
replace  _3mo_chg_unemployed=0 if _3mo_chg_unemployed==.
replace  chg_unemployed_state_move_6mo=0 if chg_unemployed_state_move_6mo==.
replace  chg_unemployed_state_move_3mo=0 if chg_unemployed_state_move_3mo==.
replace  _3mo_statemove=0 if _3mo_statemove==.
replace  move_state_chg_married_6mo=0 if move_state_chg_married_6mo==.
replace  move_state_chg_married_3mo=0 if move_state_chg_married_3mo==.
replace  move_state_chg_single_6mo=0 if  move_state_chg_single_6mo==.
replace  move_state_chg_single_3mo=0 if  move_state_chg_single_3mo==.
replace  move_state_chg_nochild_6mo=0 if move_state_chg_nochild_6mo==.
replace  move_state_chg_nochild_3mo=0 if move_state_chg_nochild_3mo==.
replace  move_state_chg_firstchild_6mo=0 if move_state_chg_firstchild_6mo==.
replace  move_state_chg_firstchild_3mo=0 if move_state_chg_firstchild_3mo==.
replace  move_state_chg_child4yo_6mo=0 if move_state_chg_child4yo_6mo==.
replace  move_state_chg_child4yo_3mo=0 if move_state_chg_child4yo_3mo==.
replace  move_state_chg_nondisabled_6mo=0 if move_state_chg_nondisabled_6mo==.
replace  move_state_chg_nondisabled_3mo=0 if move_state_chg_nondisabled_3mo==.
replace  move_state_chg_employed_6mo=0 if move_state_chg_employed_6mo==.
replace  move_state_chg_employed_3mo=0 if move_state_chg_employed_3mo==.
replace  move_state_chg_employer_6mo=0 if move_state_chg_employer_6mo==.
replace  move_state_chg_employer_3mo=0 if move_state_chg_employer_3mo==.
replace  move_state_chg_unemployed_6mo=0 if move_state_chg_unemployed_6mo==.
replace  move_state_chg_unemployed_3mo=0 if move_state_chg_unemployed_3mo==.

save 96_01_04_state_moves_prior_and_current_month, replace

clear

exit
